#
# spec file for package xinetd (Version 2.3.3)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  tcpd
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit tcpd texinfo textutils timezone unzip util-linux vim

Name:         xinetd
Copyright:    distributable
Group:        Networking/Daemons
Provides:     inet-daemon
Autoreqprov:  on
Version:      2.3.3
Release:      15
Url:          http://www.xinetd.org/
Summary:      Another 'inetd' with expanded functionality
Source:       xinetd-%{version}.tar.bz2
Source1:      rc.config.xinetd
Source2:      rc.xinetd
Source3:      xinetd.conf
Source4:      FAQ
Patch:        xinetd-2.3.2-man.dif
Patch1:       xinetd-2.3.2-ia64.dif
Patch2:       xinetd-2.3.2-ipv4.dif
BuildRoot:    /var/tmp/%{name}-BUILD

%description
xinetd takes the functionality of inetd and appends additional
opportunities:
- Access Control
- Prevention of 'denial-of-access' attacks
- Extensive logging abilities
- clear configuration file

Authors:
--------
    Panagiotis Tsirigotis <panos@cs.colorado.edu>
    Rob Braun <bbraun@synack.net>

SuSE series: n

%prep
%setup
%patch
%patch1
%patch2
cp %{S:4} .

%build
%{suse_update_config}
autoconf
CFLAGS=$RPM_OPT_FLAGS ./configure --prefix=/usr \
                                  --sysconfdir=/etc \
                                  --with-inet6 \
                                  --mandir=%{_mandir}\
                                  --with-loadavg \
                                  --with-libwrap
make

%install
rm -rf $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT/var/adm/fillup-templates
install -d -m 755 $RPM_BUILD_ROOT/etc/init.d
install -d -m 755 $RPM_BUILD_ROOT/%{_mandir}
make install DAEMONDIR=$RPM_BUILD_ROOT/usr/sbin MANDIR=${RPM_BUILD_ROOT}/%{_mandir}
install -m 755 xinetd/itox $RPM_BUILD_ROOT/usr/sbin/itox
install -m 644 %{S:3} $RPM_BUILD_ROOT/etc/xinetd.conf
install -m 755 %{S:2} $RPM_BUILD_ROOT/etc/init.d/xinetd
ln -sf ../../etc/init.d/xinetd $RPM_BUILD_ROOT/usr/sbin/rcxinetd
install -m 644 %{S:1} $RPM_BUILD_ROOT/var/adm/fillup-templates/rc.config.xinetd

%post
echo "Updating etc/rc.config..."
if [ -x bin/fillup ] ; then
  bin/fillup -q -d = etc/rc.config var/adm/fillup-templates/rc.config.xinetd
else
  echo "ERROR: fillup not found. This should not happen. Please compare"
  echo "etc/rc.config and var/adm/fillup-templates/rc.config.xinetd and"
  echo "update by hand."
fi
sbin/insserv etc/init.d/xinetd

%postun
sbin/insserv etc/init.d/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc README xinetd/CHANGELOG xinetd/COPYRIGHT FAQ
%doc %{_mandir}/*/*
/usr/sbin/*
/etc/init.d/xinetd
%config(noreplace) /etc/xinetd.conf
/var/adm/fillup-templates/rc.config.xinetd

%changelog -n xinetd
* Tue Sep 18 2001 - cihlar@suse.cz
- updated to version 2.3.3:
  1) Fixed the filelog problem of printing garbage
  2) Fixed the RPC parser to correctly handle RPC version
  ranges again
* Mon Aug 20 2001 - cihlar@suse.cz
- updated to version 2.3.2
* Thu Aug 16 2001 - cihlar@suse.cz
- updated to version 2.3.1
- removed obsolete audit patch
* Wed Aug 01 2001 - cihlar@suse.cz
- updated to version 2.3.0
- added audit patch
- improved patch for kernels without ipv6
  (per_source works now)
- added FAQ
* Fri Jun 22 2001 - cihlar@suse.cz
- stop daemon by killproc -QUIT, not -TERM
* Thu Jun 21 2001 - cihlar@suse.cz
- fixed security bugs: owerflow, umask and added <=0
  in srtx_* functions - diff of Sebastian Krahmer
* Thu Jun 14 2001 - cihlar@suse.cz
- provides inet-daemon [#8675]
* Mon Jun 04 2001 - cihlar@suse.cz
- fixed rcxinetd [#8631]
* Mon May 21 2001 - cihlar@suse.cz
- fixed cast warnings on ia64
- fixed includes
* Thu Apr 26 2001 - draht@suse.de
- added option -reuse to start script to enable a restart of xinetd
  without killing processes.
* Fri Apr 13 2001 - cihlar@suse.cz
- fixed init script by new skeleton
* Wed Mar 21 2001 - cihlar@suse.cz
- compile with -inet6
- fixed to work with kernels without ipv6 [#6792]
* Thu Feb 15 2001 - cihlar@suse.cz
- moved whole files from dif
- use ipop3d instead of popper in /etc/xinetd.conf [#6255]
- use in.ftpd instead of wu.ftpd in /etc/xinetd.conf
- improved startscript
- added suse_update_config
- use RPM_OPT_FLAGS
- removed patch for ipv6 - it works better without it
* Wed Feb 14 2001 - cihlar@suse.cz
- applied patch for ipv6
- bzipped sources
* Mon Jan 08 2001 - smid@suse.cz
- tcp wrapper support added
* Wed Dec 06 2000 - smid@suse.cz
- fixed typo in xinetd.conf [#4485]
* Tue Nov 28 2000 - ro@suse.de
- startscript fixed
* Tue Jun 20 2000 - smid@suse.cz
- upgrade to 2.1.8.8p3
* Tue May 16 2000 - smid@suse.cz
- upgrade to 2.1.8.8p2
- buildroot added
* Wed Mar 01 2000 - choeger@suse.de
- new version with ipv6 support and loadavg support
* Tue Jan 04 2000 - choeger@suse.de
- disabled ident service per default
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Jul 05 1999 - choeger@suse.de
- changed to version 2.1.8.6b5, because 2.2.1 is no
  longer maintained
* Thu Dec 10 1998 - choeger@suse.de
- added _correct_ symlink to /usr/sbin/rcxinetd :-)
* Thu Dec 10 1998 - bs@suse.de
- added symlink /usr/sbin/rxxinetd
* Wed Dec 09 1998 - choeger@suse.de
- made init-scripts complete
* Mon Nov 16 1998 - ro@suse.de
- added -lcrypt if available
* Thu Nov 12 1998 - choeger@suse.de
- security fix for /tmp racecondition
* Wed Feb 04 1998 - choeger@suse.de
- v2.2.1 with optimated xinetd.conf
* Fri Oct 31 1997 - choeger@suse.de
- new package, 2.2.1
